Bug 824083 - Review Request: nyancat - A terminal Nyan Cat renderer [NEEDINFO]
Review Request: nyancat - A terminal Nyan Cat renderer
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 13:12 EDT by Ian Weller
Modified: 2017-05-11 21:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
psabata: needinfo? (ian)
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2012-05-22 13:12:11 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/nyancat/1.0-1.20120522git5fe3de9.fc16/nyancat.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/nyancat/1.0-1.20120522git5fe3de9.fc16/nyancat-1.0-1.20120522git5fe3de9.fc16.src.rpm

Description:
This is a simple telnet server / standalone application which renders the
classic Nyan Cat (or "poptart cat") to your terminal.

It makes use of various ANSI escape sequences to render color, or in the case
of a VT220, simply dumps text to the screen.

Fedora Account System Username: ianweller
Comment 1 Petr Šabata 2012-05-23 04:32:33 EDT
And now Fedora will be complete :)
Comment 2 Ben Rosser 2012-05-23 10:28:11 EDT
As I need sponsorship (and reviews of my own package request), this can't be a formal review. I did look into a few things though:

I followed the github link and it downloaded "klange-nyancat-stable-2-g5fe3de9.tar.gz"- not something on the format of "klange-nyancat-5fe3de9.tar.gz". So after downloading I had to do "mv klange-nyancat-stable-2-g5fe3de9.tar.gz klange-nyancat-5fe3de9.tar.gz"- you might want to mention this is necessary in the spec? (Or modify the spec to deal with that?)

Other than that, this seems fine.. rpmlint finds a couple of "spelling errors" and the invalid URL in the spec, which are false positives for this package. It does also note the lack of a man page for a binary, but that's it.

nyancat.src: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
nyancat.src: W: spelling-error %description -l en_US poptart -> pop tart, pop-tart, polestar
nyancat.src: W: invalid-url Source0: klange-nyancat-5fe3de9.tar.gz
nyancat.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
nyancat.x86_64: W: spelling-error %description -l en_US poptart -> pop tart, pop-tart, polestar
nyancat.x86_64: W: no-manual-page-for-binary nyancat
Comment 3 Ian Weller 2012-05-23 14:55:41 EDT
(In reply to comment #2)
> I followed the github link and it downloaded
> "klange-nyancat-stable-2-g5fe3de9.tar.gz"- not something on the format of
> "klange-nyancat-5fe3de9.tar.gz". So after downloading I had to do "mv
> klange-nyancat-stable-2-g5fe3de9.tar.gz klange-nyancat-5fe3de9.tar.gz"- you
> might want to mention this is necessary in the spec? (Or modify the spec to
> deal with that?)

I used wget to download the file, which doesn't actually pay attention to the content disposition headers, so it just names it "tarball". So it's an extra step for someone either way.
Comment 4 Petr Pisar 2012-05-24 03:05:08 EDT
(In reply to comment #3)
> I used wget to download the file, which doesn't actually pay attention to
> the content disposition headers, so it just names it "tarball". So it's an
> extra step for someone either way.

Well, wget has an option --content-disposition exactly for this reason.
Comment 5 Ricky Elrod 2012-06-28 19:24:40 EDT
[ok] - Package meets naming and packaging guidelines
[ok] - Spec file matches base package name.
[ok] - Spec has consistant macro usage.
[ok] - Meets Packaging Guidelines.
[ok - NCSA] - License
[ok] - License field in spec matches
[ok - see below] - License file included in package
[ok] - Spec in American English
[ok] - Spec is legible.
[ok] - Sources match upstream md5sum:
  [ricky@t520 SPECS]$ md5sum ~/Downloads/klange-nyancat-5fe3de9.tar.gz ../SOURCES/klange-nyancat-5fe3de9.tar.gz
  fef3b947260dcb191e2eed4bcc58b42c  /home/ricky/Downloads/klange-nyancat-5fe3de9.tar.gz
  fef3b947260dcb191e2eed4bcc58b42c  ../SOURCES/klange-nyancat-5fe3de9.tar.gz

[ok] - BuildRequires correct
[ok] - Package has %defattr and permissions on files is good.
[ok] - Package has a correct %clean section.
[ok] - Package has correct buildroot
[ok] - Package is code or permissible content.
[ok] - Packages %doc files don't affect runtime.
[ok] - Package compiles and builds on at least one arch.
[ok] - Package has no duplicate files in %files.
[ok] - Package doesn't own any directories other packages own.
[ok - see below] - No rpmlint output.

SHOULD Items:

[ok] - Should build in mock.
[ok] - Should build on all supported archs
[ok] - Should function as described.
[ok] - Should have dist tag
[ok] - Should package latest version

Issues:

1. Consider asking upstream to include a copy of the license in the repository. (non-blocker)
2. I think the versioning is a bit off, consider:
    Version:        1
    Release:        0.1.%{checkout}%{?dist}
3. There's a manpage now (upstream repo), you probably should include this.

rpmlint output:

[ricky@t520 SPECS]$ rpmlint ../SRPMS/nyancat-1.0-1.20120522git5fe3de9.fc18.src.rpm
nyancat.src: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
nyancat.src: W: spelling-error %description -l en_US poptart -> pop tart, pop-tart, polestar
nyancat.src: W: invalid-url Source0: klange-nyancat-5fe3de9.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[ricky@t520 SPECS]$ rpmlint ../RPMS/x86_64/nyancat-1.0-1.20120522git5fe3de9.fc18.x86_64.rpm
nyancat.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
nyancat.x86_64: W: spelling-error %description -l en_US poptart -> pop tart, pop-tart, polestar
nyancat.x86_64: W: no-manual-page-for-binary nyancat
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 6 Ian Weller 2013-02-05 23:17:54 EST
* Tue Feb 05 2013 Ian Weller <iweller@redhat.com> - 1.1-1
- Update to 1.1                                          
- Include man page                                       

Spec: http://ianweller.fedorapeople.org/SRPMS/nyancat/1.1-1/nyancat.spec
SRPM: http://ianweller.fedorapeople.org/SRPMS/nyancat/1.1-1/nyancat-1.1-1.fc18.src.rpm
Comment 7 Ricky Elrod 2013-04-02 23:18:58 EDT
Remaining issues (both non-blockers and are SHOULD items):

- Try and get the DESTDIR patch upstream.
- Ask upstream to include a LICENSE file in the project.

Please try to take care of the above if you can, but for purposes of review, this package is APPROVED.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nyancat-1.1-1.fc17.x86_64.rpm
nyancat.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
nyancat.x86_64: W: spelling-error %description -l en_US poptart -> pop tart, pop-tart, polestar
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nyancat
nyancat.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
nyancat.x86_64: W: spelling-error %description -l en_US poptart -> pop tart, pop-tart, polestar
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nyancat (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
nyancat:
    nyancat
    nyancat(x86-64)



MD5-sum check
-------------
https://github.com/klange/nyancat/archive/1.1.tar.gz :
  CHECKSUM(SHA256) this package     : a534445e9e2459cc18649fc807ba841cb03fa96d7cc816258684731c27e4064b
  CHECKSUM(SHA256) upstream package : a534445e9e2459cc18649fc807ba841cb03fa96d7cc816258684731c27e4064b


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 824083
Comment 8 Petr Šabata 2014-04-04 09:48:06 EDT
Ping.

Your package has passed the review.  Feel free to submit an SCM request.
Comment 9 Ian Weller 2014-10-06 16:36:35 EDT
New Package SCM Request
=======================
Package Name: nyancat
Short Description: A terminal Nyan Cat renderer
Upstream URL: https://github.com/klange/nyancat
Owners: ianweller
Branches: epel7 f20 f21
InitialCC:
Comment 10 Gwyn Ciesla 2014-10-07 08:04:45 EDT
Git done (by process-git-requests).
Comment 11 Petr Šabata 2015-02-23 11:53:42 EST
Ping once again.

Your git branches were created.  How about building the package?  And submitting new-package updates for stable releases...

Note You need to log in before you can comment on or make changes to this bug.